<?php

namespace Modules\Rate\Interfaces;

use Illuminate\Http\Request;
use Modules\Rate\Models\Rate;

interface RateRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Rate $rate);
    public function save(Request $request, ?Rate $rate): Rate;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
